sc::AccResultInfo(3)

NAME
sc::AccResultInfo -

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored.

SYNOPSIS

#include <compute.h>

Inherits sc::ResultInfo.

Inherited by sc::AccResult< RefDiagSCMatrix >, sc::AccResult< RefSCMatrix >, sc::AccResult< RefSCVector >, sc::AccResult< RefSymmSCMatrix >, sc::NCAccResult< double >, sc::AccResult< T >, sc::NCAccResult< T >, and sc::SSAccResult< T >.

  Public Member Functions
AccResultInfo (Compute *c)
double actual_accuracy () const
double desired_accuracy () const
void set_desired_accuracy (double)
void set_actual_accuracy (double)
int computed_to_desired_accuracy () const
int needed () const

  Protected Member Functions
AccResultInfo (StateIn &, Compute *)
AccResultInfo (const AccResultInfo &, Compute *)
virtual void save_data_state (StateOut &)
virtual void restore_state (StateIn &)
AccResultInfo & operator= (const AccResultInfo &)
void update ()

  Additional Inherited Members

Detailed Description

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored.

Author

Generated automatically by Doxygen for MPQC from the source code.